org.eclipse.jdt.core.dom

## Interface IAnnotationBinding

All Superinterfaces:
  IBinding

    public interface IAnnotationBinding
    extends IBinding

Represents a resolved annotation. Resolved annotations are computed along with other bindings; they correspond to `Annotation` nodes.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.core.dom.IBinding

`ANNOTATION, MEMBER_VALUE_PAIR, METHOD, PACKAGE, TYPE, VARIABLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IMemberValuePairBinding[]` `getAllMemberValuePairs()` Returns the complete list of member value pairs for this annotation, including ones explicitly listed in the annotation as well as entries for annotation type members with default values that are implied.
`ITypeBinding` `getAnnotationType()` Returns the type of the annotation.
`IMemberValuePairBinding[]` `getDeclaredMemberValuePairs()` Returns the list of declared member value pairs for this annotation.
`String` `getName()` Returns the name of the annotation type.

### Methods inherited from interface org.eclipse.jdt.core.dom.IBinding

`equals, getAnnotations, getJavaElement, getKey, getKind, getModifiers, isDeprecated, isEqualTo, isRecovered, isSynthetic, toString`

### Method Detail

#### getAllMemberValuePairs

    IMemberValuePairBinding[] getAllMemberValuePairs()

Returns the complete list of member value pairs for this annotation, including ones explicitly listed in the annotation as well as entries for annotation type members with default values that are implied.

Returns:
  a possibly empty list of resolved member value pairs

#### getAnnotationType

    ITypeBinding getAnnotationType()

Returns the type of the annotation. The resulting type binding will always return `true` to `ITypeBinding.isAnnotation()`.

Returns:
  the type of the annotation

#### getDeclaredMemberValuePairs

    IMemberValuePairBinding[] getDeclaredMemberValuePairs()

Returns the list of declared member value pairs for this annotation. Returns an empty list for a `MarkerAnnotation`, a one element list for a `SingleMemberAnnotation`, and one entry for each of the explicitly listed values in a `NormalAnnotation`.

Note that the list only includes entries for annotation type members that are explicitly mentioned in the annotation. The list does not include any annotation type members with default values that are merely implied. Use `getAllMemberValuePairs()` to get those as well.

Returns:
  a possibly empty list of resolved member value pairs

#### getName

    String getName()

Returns the name of the annotation type.

Specified by:
  `getName` in interface `IBinding`
Returns:
  the name of the annotation type